<template>
    <div>
        <apexchart ref="graph" type="pie" :options="chartOption" :series="values"></apexchart>
    </div>
</template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from 'vue-property-decorator';

@Component
export default class MoreVisitPie extends Vue {
    @Prop({ default: () => [] })
    data!: { value: number; name: string }[];

    values: number[] = [];
    labels: string[] = [];

    chartOption = {
        chart: {
            type: 'pie'
        },
        labels: [],
        xaxis: {
            type: 'category'
        },
        colors: ['#feca38', '#000'],
        legend: {
            show: false,
            position: 'bottom',
            verticalAlign: 'top',
            containerMargin: {
                left: 35,
                right: 60
            }
        }
    };

    @Watch('data')
    onChangeData(newVal: { value: number; name: string }[]) {
        (this.$refs.graph as any).updateOptions({ labels: newVal.map(data => data.name) });
        (this.$refs.graph as any).updateSeries(newVal.map(data => data.value));
    }
}
</script>
<style lang="less" scoped></style>
